PhpStorm 2020.2 Help

Code Inspection: Octal integer

Reports deprecated octal integer literals prefixed with '0' and not '0o'.
It is an error to use such literals in modern ECMAScript code, and it is an error to use them in strict mode.
You can force this inspection for ES5 and ES3 language levels by ticking the 'Warn about obsolete octal literals in ES5- code' checkbox in the inspection settings.

Last modified: 08 May 2020